  subroutine f_swaptime(lb,ub,s, &
        anm,an,anp,bnm,bn,bnp,cnm,cn,cnp,dnm,dn,dnp,phim,phi,phip)
  use tensors
  use input_params
  use swaptime_i !F90 interface blok for swaptime
  implicit none
  integer, dimension(3)         :: lb,ub,s
  real*8, dimension(s(1),s(2),s(3)), target :: & 
        anm,an,anp,bnm,bn,bnp,cnm,cn,cnp,dnm,dn,dnp,phim,phi,phip 
   
   
  call swaptime(anm,an,anp,bnm,bn,bnp,cnm,cn,cnp,dnm,dn,dnp, &
     phim,phi,phip)
  return
  end
